import React from 'react';
import ReactDom from 'react-dom';
import ajax from 'jquery/src/ajax/xhr.js';
import $ from 'jquery/src/ajax';
import '../content.less';
import { Form,Radio, Icon, Button, Input, Select, Spin, Table, Switch, message, DatePicker, Modal, Upload,Popconfirm,AutoComplete } from 'antd';
import {patternOrganization,conditionOrganization} from '../../../dataDic.js';
import {getPattern,getCondition} from '../../../tools.js';

const Organization=Form.create()(React.createClass({
	loadData(pageNo) {
        this.state.data = [];
        this.setState({
            loading: true
        });
        let nameText=this.state.SuperArr;
		let superText=(this.state.superId)?nameText[parseInt(this.state.superId)].name:"";
       
        $.ajax({
            method: "post",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + '/api/admin/organization/listOrganizationManagement',
            data: {
                pageNo: pageNo || 1,
                pageSize: this.state.pagination.pageSize,
                name: this.state.name, //组织名称
                superId:superText,//上级组织
                type:this.state.type,//组织类型
                depNo:this.state.depNo,//组织编号
            },
            success: function (data) {
                let theArr = [];
                if (!data.data || !data.data.list) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };
                } else {
                    for (let i = 0; i < data.data.list.length; i++) {
                        let thisdata = data.data.list[i];
                        theArr.push({
                            key: i,
                            id: thisdata.id,//每一条记录的ID
                            depNo:thisdata.depNo,//组织编号
                            name:thisdata.name,//组织名称
                            type:thisdata.type,//组织类型
                            managerId:thisdata.managerId,//负责人
                            superId:thisdata.superId,//上级组织
                            status:thisdata.status,//组织状态
                        });
                    };
                    this.state.pagination.current = data.data.pageNo;
                    this.state.pagination.total = data.data.totalCount;
                };
                this.setState({
                    dataSource: theArr,
                    pagination: this.state.pagination
                });
            }.bind(this),
        }).always(function () {
            this.setState({
                loading: false
            });
        }.bind(this));
       
    },
    getInitialState() {
        return {
            searchMore: true,
            selectedRowKeys: [],
            selectedRows: [],
            loading: false,
            pagination: {
                defaultCurrent: 1,
                defaultPageSize: 10,
                showQuickJumper: true,
                pageSize: 10,
                onChange: function (page) {
                    this.loadData(page);
                }.bind(this),
                showTotal: function (total) {
                    return '共' + total + '条数据';
                }
            },
            columns: [
                {
                    title: '组织编号',
                    dataIndex: 'depNo',
                    key: 'depNo',
                }, {
                    title: '组织名称',
                    dataIndex: 'name',
                    key: 'name',
                }, {
                    title: '负责人',
                    dataIndex: 'managerId',
                    key: 'managerId',
                },{
                    title: '组织类型',
                    dataIndex: 'type',
                    key: 'type',
                    render: text => { return getPattern(text) }
                },  {
                    title: '上级组织',
                    dataIndex: 'superId',
                    key: 'superId',
                },{
                    title: '组织状态',
                    dataIndex: 'status',
                    key: 'status',
                    render: text => { return getCondition(text) }
                  
                }
            ],
            dataSource: [],
            searchTime: [,]
        };
    },
    componentWillMount() {
    	this.selectSuperId();
    },
    //获取上级组织
    selectSuperId() {  
    	this.state.data = []
         $.ajax({
                method: "post",
                dataType: "json",
                crossDomain: false,
                url: globalConfig.context + "/api/admin/organization/selectSuperId",
                data:{
                  
                },
                success: function (data) {                	  
                		let theArr = [];
					    let thedata=data.data;
					    if (!thedata) {
		                    if (data.error && data.error.length) {
		                        message.warning(data.error[0].message);
		                    };	
		                    thedata = {}; 
		              };   
					    var contactIds=[];
				        //for (let item in data.data) {
				        	for(var i=0;i<data.data.length;i++){
		                    let theData = data.data[i];
		                    theArr.push(
		                        <Select.Option value={i.toString()} key={theData.name}>{theData.name}</Select.Option>
		                    );
		                };
						this.setState({	
							SuperArr:thedata,
		                    contactsOption: theArr, 
		                    orderStatusOptions:data.data,
	                    });
	                    
					}.bind(this),
				}).always(function () {
				this.loadData();
	            this.setState({
	                loading: false
	            });
	        }.bind(this));
	},
	//编辑部门，保存
    edithandleSubmit(e){
    	e.preventDefault();	
    	//上级组织字典
        let nameText=this.state.SuperArr
        let superText=this.state.editSuperId;
        //let superText=(this.state.editSuperId).length<=1?nameText[parseInt(this.state.editSuperId)].name:''
    	let superOne=this.state.editDataSource[0].editSuperId;
    	let remarksText=(this.state.editRemarks)?this.state.editRemarks:'该组织没有职能说明，请完善！';
    	let isStatus=this.state.editStatus;
    	if(isStatus==1){
    		if(confirm('是否要解散该部门？')){
    			if(!(superOne==superText)){
		    		let changeSuper=nameText[parseInt(this.state.editSuperId)].name;
		    		if(confirm('上级组织已修改，是否保存？')){
			        $.ajax({
			            method: "post",
			            dataType: "json",
			            crossDomain: false,
			            url:globalConfig.context + '/api/admin/organization/updateOrganization',
			            data:{
			            	name:this.state.editName,//组织名称
			            	type:this.state.editType, //组织类型
			            	managerId:this.state.editManagerId,//负责人ID
			                superId:changeSuper,//上级组织
			                status:this.state.editStatus,//组织状态
			                remarks:remarksText,//组织职能说明
			                id:this.state.editId,//组织ID
			            }
			        }).done(function (data) { 
			            this.setState({
			                loading: false
			            });
			            if (!data.error.length) {
			                message.success('保存成功！'); 
			                this.edithandleCancel();
			                this.selectSuperId();
			            } else {
			                message.warning(data.error[0].message);
			            }
			        }.bind(this));
			        return false
		        	}
		    	}else {
		        	$.ajax({
			            method: "post",
			            dataType: "json",
			            crossDomain: false,
			            url:globalConfig.context + '/api/admin/organization/updateOrganization',
			            data:{
			            	name:this.state.editName,//组织名称
			            	type:this.state.editType, //组织类型
			            	managerId:this.state.editManagerId,//负责人ID
			                superId:superText,//上级组织
			                status:this.state.editStatus,//组织状态
			                remarks:remarksText,//组织职能说明
			                id:this.state.editId,//组织ID
			            }
			        }).done(function (data) { 
			            this.setState({
			                loading: false
			            });
			            if (!data.error.length) {
			                message.success('保存成功！'); 
			                this.edithandleCancel();
			                this.selectSuperId();
			            } else {
			                message.warning(data.error[0].message);
			            }
			        }.bind(this));
		        } 	
    		}
    	}else{
    		if(!(superOne==superText)){
		    		let changeSuper=nameText[parseInt(this.state.editSuperId)].name;
		    		if(confirm('上级组织已修改，是否保存？')){
			        $.ajax({
			            method: "post",
			            dataType: "json",
			            crossDomain: false,
			            url:globalConfig.context + '/api/admin/organization/updateOrganization',
			            data:{
			            	name:this.state.editName,//组织名称
			            	type:this.state.editType, //组织类型
			            	managerId:this.state.editManagerId,//负责人ID
			                superId:changeSuper,//上级组织
			                status:this.state.editStatus,//组织状态
			                remarks:remarksText,//组织职能说明
			                id:this.state.editId,//组织ID
			            }
			        }).done(function (data) { 
			            this.setState({
			                loading: false
			            });
			            if (!data.error.length) {
			                message.success('保存成功！'); 
			                this.edithandleCancel();
			                this.selectSuperId(); 
			            } else {
			                message.warning(data.error[0].message);
			            }
			        }.bind(this));
			        return false
		        	}
		    	}else {
		        	$.ajax({
			            method: "post",
			            dataType: "json",
			            crossDomain: false,
			            url:globalConfig.context + '/api/admin/organization/updateOrganization',
			            data:{
			            	name:this.state.editName,//组织名称
			            	type:this.state.editType, //组织类型
			            	managerId:this.state.editManagerId,//负责人ID
			                superId:superText,//上级组织
			                status:this.state.editStatus,//组织状态
			                remarks:remarksText,//组织职能说明
			                id:this.state.editId,//组织ID
			            }
			        }).done(function (data) { 
			            this.setState({
			                loading: false
			            });
			            if (!data.error.length) {
			                message.success('保存成功！'); 
			                this.edithandleCancel();
			                this.selectSuperId();
			            } else {
			                message.warning(data.error[0].message);
			            }
			        }.bind(this));
		        } 
    	}
    },  
	//整行点击
    tableRowClick(record, index) {
    	this.selectSuperId();
    	this.state.RowData = record; 
        this.setState({
        	editvisible: true,
        	selectedRowKeys:[],
        	rowId:record.businessId,
        })    
        $.ajax({
            method: "post",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context +"/api/admin/organization/selectAllById" ,
            data: {
               id: record.id
            },
            success: function (data) {
                let theArr = [];
                let thisdata = data;
                if (!data) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };
                } else {
                    theArr.push({
                         editId: thisdata.id,//每一条记录的ID
                         editName:thisdata.name,//组织名称
                         editManagerId:thisdata.managerId,//负责人
                         editType:thisdata.type,//组织类型
                         editStatus:thisdata.status,//组织状态 
                         editSuperId:thisdata.superId,//上级组织
                         editDepNo: thisdata.depNo,//组织编号
                         editCreateId:thisdata.createId,//创建人
                         editTime:thisdata.createTime,//创建时间
                         editRemarks:thisdata.remarks,//组织职能说明
                    });
                   
                };
                this.setState({
                	 editId: thisdata.id,//每一条记录的ID
                	 editName:thisdata.name,//组织名称
                     editManagerId:thisdata.managerId,//负责人
                     editType:thisdata.type,//组织类型
                     editStatus:thisdata.status,//组织状态 
                     editSuperId:thisdata.superId,//上级组织
                     editDepNo: thisdata.depNo,//组织编号
                     editCreateId:thisdata.createId,//创建人
                     editTime:thisdata.createTime,//创建时间
                     editRemarks: thisdata.remarks,//组织职能说明
                     editDataSource: theArr,
                });
            }.bind(this),
        }).always(function () {
            this.setState({
                loading: false
            });
        }.bind(this));
    },
    //整行删除
    delectRow() {
        let deletedIds ='';
        for (let idx = 0; idx < this.state.selectedRows.length; idx++) {
            let rowItem = this.state.selectedRows[idx];
            if (rowItem.id) {
                deletedIds=rowItem.id;
            };
        };
        this.setState({
            selectedRowKeys: [],
            loading: deletedIds.length > 0
        });
        $.ajax({
            method: "POST",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + "/api/admin/organization/deleteById",
            data: {
                id: deletedIds
            }
        }).done(function (data) {
            if (!data.error.length) {
                message.success('删除成功！');
                this.setState({
                    loading: false,
                });
            } else {
                message.warning(data.error[0].message);
            };
            this.selectSuperId();
        }.bind(this));
    },
    //新增一个部门，保存
    addhandleSubmit(e){
    	e.preventDefault();	
    	if(!this.state.theTypes){
    		message.warning('请输入负责人姓名');
    		return false;
    	}
    	if(!this.state.typeOrganization){
    		message.warning('请选择组织类型');
    		return false;
    	}
    	if(!this.state.upOrganization){
    		message.warning('请选择上级组织'); 
    		return false;
    	}
		this.props.form.validateFields((err, values) => {                                 
            if (!err) {
                this.setState({
                    loading: true
                }); 
                //上级组织字典
                let nameText=this.state.SuperArr
                let superText=nameText[parseInt(this.state.upOrganization)].name
                $.ajax({
                    method: "post",
                    dataType: "json",
                    crossDomain: false,
                    url:globalConfig.context + '/api/admin/organization/addOrganization',
                    data:{
                    	name:this.state.nameOrganization,//组织名称
                    	managerId:this.state.theTypes,//负责人ID
                        type:this.state.typeOrganization, //组织类型
                        superId:superText,//上级组织
                        remarks:this.state.remarksOrganization,//组织职能说明
                    	}
                }).done(function (data) { 
                    this.setState({
                        loading: false
                    });
                    if (!data.error.length) {
                        message.success('保存成功！'); 
                        this.handleCancel();
                        this.selectSuperId();
                    } else {
                        message.warning(data.error[0].message);
                    }
                }.bind(this));
            }
        });
    },
    
    //主管初始加载(自动补全)
	supervisor(e){ 
		$.ajax({
            method: "post",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + "/api/admin/organization/selectName",
            data:{
            	name:e
            },
            success: function (data) {                	  
				       let thedata=data.data;
				    if (!thedata) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };	
                    thedata = {}; 
              }; 
					this.setState({
						customerArr:thedata,	
                    });
				}.bind(this),
			}).always(function () {
            this.setState({
                loading: false
            });
        }.bind(this));  
	},
	//上级主管输入框失去焦点是判断客户是否存在
	selectAuto(value,options){
		this.setState({
			managerIdOrganization:value
		})
	},
	//失去焦点时
	blurChange(e){
//		let theType='';
//		let contactLists=this.state.customerArr||[];
//			if (e) {
//          contactLists.map(function (item) {
//              if (item.name == e.toString()) {
//                  theType = item.id;
//              }
//         });     
// 	    }
		this.setState({
			theTypes:e
		})
	},
	//值改变时请求客户名称
	httpChange(e){
		if(e.length>=2){
			this.supervisor(e); 
		}	
		this.setState({
			managerIdOrganization:e
		})
	},
    addClick() {
    	this.state.nameOrganization='';//组织名称清零
    	this.state.managerIdOrganization= '';//负责人ID清零
        this.state.typeOrganization= undefined; //组织类型清零
        this.state.upOrganization= undefined;//上级组织清零
        this.state.remarksOrganization= '';//组织职能说明清零
        this.state.RowData = {};
        this.setState({
            visible: true
        });
        this.selectSuperId();
        
    },
    editClick() {
        this.state.RowData = {};
        this.setState({
            editvisible: true
        });
    },
   	handleCancel() {
        this.setState({ visible: false })
    },
    edithandleCancel() {
        this.setState({ editvisible: false })
    },
    search() {
        this.loadData();
    },
    //把搜索的部分置零
    reset() {
        this.state.superId = undefined;//上级组织清零
        this.state.name = '';//组织名称清零
        this.state.type = undefined;//组织类型清零
        this.state.depNo = '';//组织编号清零
        this.loadData();       
    },
    searchSwitch() {
        this.setState({
            searchMore: !this.state.searchMore
        });
    },
    render() {
    	const FormItem = Form.Item
        const rowSelection = {
            selectedRowKeys: this.state.selectedRowKeys,
            onChange: (selectedRowKeys, selectedRows) => {
                this.setState({
                    selectedRows: selectedRows.slice(-1),
                    selectedRowKeys: selectedRowKeys.slice(-1)
                });
            },
            onSelect: (recordt, selected, selectedRows) => {			   
			    this.setState({
			    	recordt:recordt.id
			    })
			},
        };
        const formItemLayout = {
            labelCol: { span: 8 },
            wrapperCol: { span: 14 },
        };
       	const { getFieldDecorator } = this.props.form;
        const hasSelected = this.state.selectedRowKeys.length > 0;
        const { RangePicker } = DatePicker;
        const dataSources=this.state.customerArr || [];
        const options = dataSources.map((group,index) =>
				      <Option key={index} value={group.name}>{group.name}</Option>
				     )
        return (
            <div className="user-content" >
                <div className="content-title">
	                <div className="user-search">
	                    <Input placeholder="组织名称" style={{width:'150px',marginRight:'10px',marginBottom:'10px'}}
	                        value={this.state.name}
	                        onChange={(e) => { this.setState({ name: e.target.value }); }} />
	                    <Select placeholder="上级组织"
                            style={{ width:'200px',marginRight:'10px' }}
                            value={this.state.superId}
                            onChange={(e) => { this.setState({ superId: e }) }} notFoundContent="未获取到上级组织列表">
                            {this.state.contactsOption}
		                </Select>
	                    <Button type="primary" onClick={this.search} style={{marginRight:'10px'}}>搜索</Button>
	                    <Button onClick={this.reset} style={{marginRight:'10px'}}>重置</Button>
                        <Popconfirm title="是否删除?" onConfirm={this.delectRow} okText="是" cancelText="否">
						     <Button style={{ background: "#ea0862", border: "none", color: "#fff",marginRight:'10px' ,marginLeft:'10px'}}
	                   			 disabled={!hasSelected} 
	                    		 >删除<Icon type="minus" />
	           			     </Button>
						</Popconfirm>
	                    <span style={{marginRight:'20px'}}>更多搜索    <Switch defaultChecked={false} onChange={this.searchSwitch} /></span>
	                    <div  style={this.state.searchMore ? { display: 'none' } : {display: 'inline-block'}}>
	                    	<Input placeholder="组织编号" style={{width:'150px',marginRight:'10px'}}
		                        value={this.state.depNo}
		                        onChange={(e) => { this.setState({ depNo: e.target.value }); }} />
		                    <Select placeholder="组织类型"
		                            style={{width:'150px',marginRight:'50px'}}
		                            value={this.state.type}
		                            onChange={(e) => { this.setState({ type: e }) }}>
		                            <Select.Option value="0" >公司</Select.Option>
		                            <Select.Option value="1" >部门</Select.Option>
		                            <Select.Option value="2" >团队</Select.Option>
		                    </Select>
	                    </div>
	                    <Button type="primary" className="addButton" onClick={this.addClick} style={{marginBottom:'10px'}}>新增组织<Icon type="plus" /></Button>
	                </div>
	                <div className="patent-table">
	                    <Spin spinning={this.state.loading}>
	                        <Table columns={this.state.columns}
	                            dataSource={this.state.dataSource}
	                            rowSelection={rowSelection}
	                            pagination={this.state.pagination}
	                            onRowClick={this.tableRowClick} />
	                    </Spin>
	                </div>
	             
	                 <div className="patent-desc">
	                    <Modal maskClosable={false} visible={this.state.visible}
	                        onOk={this.checkPatentProcess} onCancel={this.handleCancel}
	                        width='600px'
	                        title='新增组织'                       
	                        footer=''
	                        className="admin-desc-content">
	                         <Form horizontal onSubmit={this.addhandleSubmit} id="add-form">
				                <Spin spinning={this.state.loading}>
				                    <div className="clearfix">
				                    	<FormItem 
					                            labelCol={{ span: 7 }}
					                        	wrapperCol={{ span: 12 }}
					                            label="组织名称" >
				                                <Input placeholder="组织名称" value={this.state.nameOrganization} style={{width:'95%'}}
				                                onChange={(e)=>{this.setState({nameOrganization:e.target.value})}} required="required"/>
				                           		<span className="mandatory" style={{color:'red',marginLeft:'5px'}}>*</span>
					                    </FormItem>
				                    </div>
				                    <div className="clearfix">
					                    <FormItem 
			                           		 labelCol={{ span: 7 }}
				                        	 wrapperCol={{ span: 12}}
				                             label="负责人"
				                             >
						                    <AutoComplete
											        className="certain-category-search"
											        dropdownClassName="certain-category-search-dropdown"
											        dropdownMatchSelectWidth={false}
											        dataSource={options}
											        placeholder="输入名称"
											        value={this.state.managerIdOrganization}
											        onChange={this.httpChange}
											        filterOption={true}
											        onBlur={this.blurChange}
											        onSelect={this.selectAuto}
											        style={{width:'95%'}} 
											      >
											        <Input />
											</AutoComplete> 
											<span className="mandatory" style={{color:'red',marginLeft:'5px'}}>*</span>
							            </FormItem>
				                    </div>
				                    
				                    <div className="clearfix">
				                    	<FormItem 
				                         	labelCol={{ span: 7 }}
					                        wrapperCol={{ span: 12 }}
				                           	label="组织类型"
				                         > 
											  <Select placeholder="组织类型" value={this.state.typeOrganization} 
				                                onChange={(e)=>{this.setState({typeOrganization:e})}} style={{width:'95%'}} required="required"> 
				                                {
				                                    patternOrganization.map(function (item) {
				                                        return <Select.Option key={item.value} >{item.key}</Select.Option>
				                                    })
				                                }
				                              </Select> 
				                              <span className="mandatory" style={{color:'red',marginLeft:'5px'}}>*</span>
				                   		 </FormItem>
				                    </div>
				                    <div className="clearfix">
					                    <FormItem  
					                    	labelCol={{ span: 7 }}
					                        wrapperCol={{ span: 12 }}
				                           label="上级组织"
			                               > 
					                        <Select placeholder="请选择上级组织" value={this.state.upOrganization} onChange={(e)=>{this.setState({upOrganization:e})}}
				                                notFoundContent="未获取到上级组织列表" style={{width:'95%'}} required="required">
				                                {this.state.contactsOption}
				                            </Select> 
				                            <span className="mandatory" style={{color:'red',marginLeft:'5px'}}>*</span>
			                   		    </FormItem>
		                   		    </div>
		                   		    <div className="clearfix">
			                   		    <FormItem
					                        labelCol={{ span: 7 }}
					                        wrapperCol={{ span: 12 }}
					                        label="组织职能说明" >					                        
					                        <Input type="textarea" rows={4} placeholder="组织职能说明" value={this.state.remarksOrganization}
	                           				 	onChange={(e) => { this.setState({ remarksOrganization: e.target.value }) }} style={{width:'95%'}}/>					                           
					                    </FormItem>
					                </div>    
				                    <FormItem wrapperCol={{ span: 12, offset: 7 }}>
				                        <Button className="set-submit" type="primary" htmlType="submit">保存</Button>  
				                        <Button className="set-submit" type="ghost" onClick={this.handleCancel} style={{marginLeft:'100px'}}>取消</Button>
				                    </FormItem> 
				                </Spin>
				            </Form >
	                    </Modal>
                	 </div>
                	 
                	 
                	 <div className="patent-desc">
	                    <Modal maskClosable={false} visible={this.state.editvisible}
	                        onOk={this.checkPatentProcess} onCancel={this.edithandleCancel}
	                        width='600px'
	                        title='编辑组织'                       
	                        footer=''
	                        className="admin-desc-content">
	                         <Form horizontal onSubmit={this.edithandleSubmit} id="edit-form">
				                <Spin spinning={this.state.loading}>
				                    <div className="clearfix">
				                    	<FormItem 
					                            labelCol={{ span: 7 }}
					                        	wrapperCol={{ span: 12 }}
					                            label="组织名称" >
				                    	     <Input placeholder="组织名称" value={this.state.editName} 
				                                onChange={(e)=>{this.setState({editName:e.target.value})}}/>
					                    </FormItem>
				                    </div>
				                    <div className="clearfix">
				                    	<FormItem 
					                            labelCol={{ span: 7 }}
					                        	wrapperCol={{ span: 12}}
					                            label="负责人" >
					                             <Input placeholder="负责人" value={this.state.editManagerId} 
				                                onChange={(e)=>{this.setState({editManagerId:e.target.value})}}/>
					                    </FormItem>
				                    </div>
				                    <div className="clearfix">
				                    	<FormItem  
				                         	labelCol={{ span: 7 }}
					                        wrapperCol={{ span: 12 }}
				                           	label="组织类型"
				                         > 
					                          <Select placeholder="组织类型" value={this.state.editType} 
				                                onChange={(e)=>{this.setState({editType:e})}}> 
				                                {
				                                    patternOrganization.map(function (item) {
				                                        return <Select.Option key={item.value} >{item.key}</Select.Option>
				                                    })
				                                }
				                              </Select>
				                   		 </FormItem>
				                    </div>
				                    <div className="clearfix">
				                    	<FormItem  
				                         	labelCol={{ span: 7 }}
					                        wrapperCol={{ span: 12 }}
				                           	label="组织状态"
				                         > 
					                          <Select placeholder="组织状态" value={this.state.editStatus} 
				                                onChange={(e)=>{this.setState({editStatus:e})}}> 
				                                {
				                                    conditionOrganization.map(function (item) {
				                                        return <Select.Option key={item.value} >{item.key}</Select.Option>
				                                    })
				                                }
				                              </Select>
				                   		 </FormItem>
				                    </div>
				                    <div className="clearfix">
					                    <FormItem  
					                    	labelCol={{ span: 7 }}
					                        wrapperCol={{ span: 12 }}
				                           label="上级组织"
			                               > 
			                              <Select placeholder="请选择上级组织" value={this.state.editSuperId} onChange={(e)=>{this.setState({editSuperId:e})}}
				                                notFoundContent="未获取到上级组织列表">
				                                {this.state.contactsOption}
				                            </Select> 
				                            
			                   		    </FormItem>
		                   		    </div>
		                   		    <div className="clearfix">
				                    	<FormItem 
						                    labelCol={{ span: 7 }}
						                    wrapperCol={{ span: 12 }}
						                    label="组织编号"
					                        >
					                        <span>{this.state.editDepNo}</span>
					                    </FormItem>
					                </div>
					                <div className="clearfix" >
				                    	<FormItem 
						                    labelCol={{ span: 7 }}
						                    wrapperCol={{ span: 12 }}
						                    label="创建人"
					                        >
					                        <span>{this.state.editCreateId}</span>
					                    </FormItem>
					                </div>
					                <div className="clearfix">
				                    	<FormItem 
						                    labelCol={{ span: 7 }}
						                    wrapperCol={{ span: 12 }}
						                    label="创建时间"
					                        >
					                        <span>{this.state.editTime}</span>
					                    </FormItem>
					                </div>
		                   		    <div className="clearfix">
			                   		    <FormItem
					                        labelCol={{ span: 7 }}
					                        wrapperCol={{ span: 12 }}
					                        label="组织职能说明" >					                        
					                        <Input type="textarea" rows={4} placeholder="组织职能说明" value={this.state.editRemarks}
	                           				 	onChange={(e) => { this.setState({ editRemarks: e.target.value }) }}/>					                           
					                    </FormItem>
					                </div>    
				                    <FormItem wrapperCol={{ span: 12, offset: 7 }}>
				                        <Button className="set-submit" type="primary" htmlType="submit">保存</Button>  
				                   		<Button className="set-submit" type="ghost" onClick={this.edithandleCancel} style={{marginLeft:'100px'}}>取消</Button>
				                    </FormItem> 
				                </Spin>
				            </Form >
	                    </Modal>
                	 </div>
                	 
            	</div>
            </div>
        );
    }
}));

export default Organization;
